package iotcloud;

/**
 * Test cases.
 * @author Brian Demsky
 * @version 1.0
 */

public class Test {
	public static void main(String[] args) {
		if (args[0].equals("2")) {
			test2();
		}
	}

	static void test2() {
		Table t1 = new Table("http://127.0.0.1/test.iotcloud/", "reallysecret", 321);
		t1.initTable();
		Table t2 = new Table("http://127.0.0.1/test.iotcloud/", "reallysecret", 351);
		t2.update();



		final int NUMBER_OF_TESTS = 200;

		for (int i = 0; i < NUMBER_OF_TESTS; i++) {

			System.out.println("Doing: " + i);

			String a = "a" + i;
			String b = "b" + i;
			IoTString ia = new IoTString(a);
			IoTString ib = new IoTString(b);


			t1.createNewKey(ia, 351);
			t2.createNewKey(ib, 321);

			t1.startTransaction();
			t1.addKV(ia, ia);
			t1.commitTransaction();
		}

		for (int i = 0; i < NUMBER_OF_TESTS; i++) {

			System.out.println("Doing: " + i);

			String a = "a" + i;
			String b = "b" + i;
			IoTString ia = new IoTString(a);
			IoTString ib = new IoTString(b);

			t2.startTransaction();
			t2.addKV(ib, ib);
			t2.commitTransaction();
		}



		t1.update();
		// t2.update();
		// t1.update();

		for (int i = 0; i < NUMBER_OF_TESTS; i++) {
			String a = "a" + i;
			String b = "b" + i;
			IoTString ia = new IoTString(a);
			IoTString ib = new IoTString(b);

			System.out.println(ib + " -> " + t1.getCommitted(ib));
			System.out.println(ia + " -> " + t2.getCommitted(ia));
			System.out.println();
		}
	}
}
